Bug 426891 - execmem AVC and crash visiting 'http://www.amazon.com'
execmem AVC and crash visiting 'http://www.amazon.com'
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
: SELinux
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-27 20:57 EST by Tom London
Modified: 2008-04-10 09:51 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-10 09:51:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
bug report produced when visiting 'www.amazon.com' (476.40 KB, text/plain)
2007-12-27 20:57 EST, Tom London
no flags Details

  None (edit)
Description Tom London 2007-12-27 20:57:53 EST
Description of problem:
I repeatably get an execmem AVC and a crash of firefox (says gecko) when I visit
'http://www.amazon.com' with SELinux in enforcing mode.  In permissive mode, I
get the same AVC, but no crash.

Here is the AVC:

type=AVC msg=audit(1198806680.330:36): avc:  denied  { execmem } for  pid=8057
comm="firefox" scontext=unconfined_u:unconfined_r:unconfined_t:s0
tcontext=unconfined_u:unconfined_r:unconfined_t:s0 tclass=process
type=SYSCALL msg=audit(1198806680.330:36): arch=40000003 syscall=125 success=yes
exit=0 a0=b0b24000 a1=1000 a2=5 a3=bfa6b78c items=0 ppid=1 pid=8057 auid=500
uid=500 gid=500 euid=500 suid=500 fsuid=500 egid=500 sgid=500 fsgid=500
tty=(none) comm="firefox" exe="/usr/lib/firefox-3.0b3pre/firefox"
subj=unconfined_u:unconfined_r:unconfined_t:s0 key=(null)

I attach the bug report below.

Version-Release number of selected component (if applicable):
firefox-3.0-0.beta2.3.fc9

How reproducible:
Every visit to www.amazon.com (at least, today).

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Tom London 2007-12-27 20:57:53 EST
Created attachment 290465 [details]
bug report produced when visiting 'www.amazon.com'
Comment 2 Martin Stransky 2008-01-03 08:02:14 EST
Could you try to run firefox by "xulrunner
/usr/lib64/firefox-3.0b3pre/application.ini"?
Comment 3 Tom London 2008-01-03 09:27:26 EST
Interesting.....

Well, I have 32-bit version, so I tried "xulrunner
/usr/lib/firefox-3.0b3pre/application.ini" instead.

This appears to work OK, while running "firefox" crashes with above AVC.

[Both on 'www.amazon.com']
Comment 4 Andrew Farris 2008-01-29 06:40:51 EST
Running xulrunner directly that way wouldn't load the extensions or plugins
would it?  Looks very much like a problem I had with an older flash lib getting
loaded.

You do have a flash plugin loading: "/usr/lib/flash-plugin/libflashplayer.so"

You might try it from a freshly created user account, which must create its own
new profile as well.
Comment 5 Tom London 2008-04-10 09:51:21 EDT
I haven't seen this for a while.

Closing.

Note You need to log in before you can comment on or make changes to this bug.